Package control

## Class SimulationTabMitController

- java.lang.Object
- - javafx.scene.control.Tab
  - - control.TabMitController
    - - control.SimulationTabMitController

- All Implemented Interfaces:
    `javafx.css.Styleable`, `javafx.event.EventTarget`

      public class SimulationTabMitController
      extends TabMitController

  Die Klasse SimulationTabMitController stellt einen Tab inclusive ihres Controllers zur Simulation eines Algorithmus dar. Der Algorithmus kann ausgewählt und schrittweise durchgeführt werden.
  Version:
    v6.7 (9.12.2020)
  Author:
    Thomas Schaller

- - ### Field Summary

    - ### Fields inherited from class control.TabMitController

      `graph, options, viewer`

    - ### Fields inherited from class javafx.scene.control.Tab

      `CLOSED_EVENT, SELECTION_CHANGED_EVENT, TAB_CLOSE_REQUEST_EVENT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimulationTabMitController​(Graph graph, GraphOptions options)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `initialize()` |
    `void` | `mBreak​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mReset​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mStart​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mStep​(javafx.event.ActionEvent event)` |
    `void` | `setGraph​(Graph graph, GraphOptions options)` |
    `void` | `showHilfe​(boolean b)` |

    - ### Methods inherited from class control.TabMitController

      `getGraphOptions, getViewer, tabOeffnen, update`

    - ### Methods inherited from class javafx.scene.control.Tab

      `buildEventDispatchChain, closableProperty, contentProperty, contextMenuProperty, disabledProperty, disableProperty, getClassCssMetaData, getContent, getContextMenu, getCssMetaData, getGraphic, getId, getOnClosed, getOnCloseRequest, getOnSelectionChanged, getProperties, getPseudoClassStates, getStyle, getStyleableParent, getStyleClass, getTabPane, getText, getTooltip, getTypeSelector, getUserData, graphicProperty, hasProperties, idProperty, isClosable, isDisable, isDisabled, isSelected, onClosedProperty, onCloseRequestProperty, onSelectionChangedProperty, selectedProperty, setClosable, setContent, setContextMenu, setDisable, setGraphic, setId, setOnClosed, setOnCloseRequest, setOnSelectionChanged, setStyle, setText, setTooltip, setUserData, styleProperty, tabPaneProperty, textProperty, tooltipProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javafx.css.Styleable

      `getStyleableNode`

- - ### Constructor Detail

    - #### SimulationTabMitController

          public SimulationTabMitController​(Graph graph,
                                            GraphOptions options)

  - ### Method Detail

    - #### initialize

          public void initialize()

      Overrides:
        `initialize` in class `TabMitController`

    - #### showHilfe

          public void showHilfe​(boolean b)

    - #### setGraph

          public void setGraph​(Graph graph,
                               GraphOptions options)

      Overrides:
        `setGraph` in class `TabMitController`

    - #### mReset

          void mReset​(javafx.event.ActionEvent event)

    - #### mStep

          void mStep​(javafx.event.ActionEvent event)

    - #### mStart

          void mStart​(javafx.event.ActionEvent event)

    - #### mBreak

          public void mBreak​(javafx.event.ActionEvent event)